Subject: [Sigtran] M3UA - ASP database equalization

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Wed, 5 Feb 2003 23:57:10 -0600 (CST)

Hi all,

Currently RFC 3332 says that SG sends SSNM messages to all 'concerned
ASPs'(means only ACTIVE ASPs).

+----+           +---+           +-----+
|SEP | ----------|SG |-----------| ASP1|
+----+           +---+           +-----+
                   |             
                   |             +-----+
                   +-------------| ASP2|
                                 +-----+

(ASP1 is active and ASP2 is incative - override mode)

When SEP is getting restarted ,SG sends DUNA to ASP1.
But SEP status is not changed in ASP2.There are two ways to solve this
problem

1. ASP1 can equalize its database with ASP2
or
2.SG itself can send DUNA... to ASP2 (eventhough ASP2 is inactive)

IMO, SG can send SSNM messages to ASP (either ASP is in active or inact
state)

Any comments?

-----

section 5.4.2.1

...
      - Pass the MTP-TRANSFER request primitive to the MTP3 of the
        concerned Network Appearance.

It conveys the meaning that M3UA layer (at SGP) MTP-TRANSFER request is
sent to MTP3.

But there is no primitive availabe between M3UA and MTP3.

I think it should be corrected.

----
Presently ASP is unaware of SG's MTP3 restart, 
ASP receives only DUNA for all SS7 point codes which can be
reachable via that SG.But in case of peer to peer protocol
SG and AS point codes are different, So why dont we send
DUNA with SG's point code to ASP? So that just by getting
single DUNA(with SG's PC) ASP will not route any message via that SG.
This can avoid sending multiple DUNAs to ASP.

Any comments?

-----
section 1.4.1

...
   Where a particular AS can be reached via more than one SGP, the
   corresponding Routing Keys in the SGPs should be identical.  (Note:
   It is possible for the SGP Routing Key configuration data to be
   temporarily out-of-sync during configuration updates).
 
                              +--------+
                              |        |
                 +------------+  SG 1  +--------------+
     +-------+   |  SS7 links | "STP"  |  IP network  |     ----
     |  SEP  +---+            +--------+              +---/      \
     |   or  |                    |*                      | ASPs  |
     |  STP  +---+            +--------+              +---\      /
     +-------+   |            |        |              |     ----
                 +------------+  SG 2  +--------------+
                              | "STP"  |
                              +--------+
 
                    Figure 1  Example with mated SGs

Here SGP1 is in SG1 and SGP2 is in SG2. Basically mated SGs are located
geographically in different places.The ideas is when SG1 goes down in
CITY1(due to earthquake...) , all the traffice still can be handled by SG2
which is in CITY2.

SGP2 is mate for SGP1, On failure of SGP1, all the messages will be
routed from SGP1 to SGP2.

Does all these things mean to say that SGP1's mate 'should be' present in
SG2 and not in SG1 itself ?

Comments are welcome.

--Samuel

  Alcatel USA, Inc.                  Internet: <userid>@ssd.usa.alcatel.com
  1000 Coit Road, Plano, Texas 75075
  ******* The opinions expressed are not those of Alcatel USA, Inc. *******

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 5 Feb 2003 23:08:38 -0700

Samuel,

Samuel Dur D. Jeyaseelan wrote:                                                     (Wed, 05 Feb 2003 23:57:10)
> ASPs'(means only ACTIVE ASPs).

The audit procedure is provided to allow any ASP to determine the
current accessibility of destinations from the SG.

The prosrcibed procedure in RFC 3332 is as follows:

  If ASP2 can know from ASP1 that the destination is inaccessible
  then nothing is required.

  If ASP2 does not know from ASP1 that destinations are inaccessible,
  it issues DAUD when it goes active and the SG tells it which
  destinations are accessible.

SSNM are NOT sent to inactive ASPs.

The reason for this is as follows:

Consider that ASP1 is active and ASP2 is down.  SG sends DUNA
to ASP1.  APS2 does not receive this because APS2 is not even
running.

ASP2 goes ASPUP and moves to the inactive state for the AS for
which the DUNA was sent.

Can the SG be expected to then send this backlog of information?

No, it is the repsonsibility of ASP2 to send DAUD to discover
the information.

This is also the case for the inactive state.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Thu, 6 Feb 2003 00:30:30 -0600 (CST)

Brian,

>   then nothing is required.
This is out of the scope of RFC.

>   destinations are accessible.
I think getting DUNA from SG is better than sending DAUD and receiving
response.If SG is able to do it ,let SG send DUNA to inactive ASPs.
IMO there is no harm.
> Can the SG be expected to then send this backlog of information?

I mean to say that when SG receives TFP from SEP and if the state
of ASP is ACTIVE or INACT then sending DUNA is good idea.

If ASP is in DOWN state then SG will not send DUNA.
IMO, practically speaking backup ASP will not be in DOWN state,
It should be in ASP INACT state.

My point is if SG is able to send DUNA , we should not put any
restriction.

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 6 Feb 2003 00:38:40 -0700

Samuel,

IMO sending SSNM to inactive ASPs is a BAD idea.

--brian

Samuel Dur D. Jeyaseelan wrote:                                                     (Thu, 06 Feb 2003 00:30:30)

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Thu, 6 Feb 2003 02:18:28 -0600 (CST)

Brian,

> IMO sending SSNM to inactive ASPs is a BAD idea.
Which is bad idea sending DAUD and get the DUNA from SG
or SG itself can send DUNA to inact ASP?

IMO my idea is not BAD.It will increase the M3UA stack
efficency.

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 6 Feb 2003 01:28:49 -0700

Samuel,

It will decrease M3UA efficiency.

Consider 1 active ASP and 200,000 inactive ASPs.

For each SSNM the SG must send 200,001 DUNA messages.

With the existing concensus DAUD procedure, the SG only
sends 1 DUNA message.

When an ASP activates for an AS it sends one DAUD message
to avoid the SG sending many useless SSNM messages.

The activating ASP need not even send DAUD.  It can just
start sending messages and use responsive DUNAs.

This is most efficient because SS7 destinations are almost
never unavailable.

Sending SSNM to inactive ASPs would be a BAD thing.  It is
good that the RFC does not permit this.

--brian

Samuel Dur D. Jeyaseelan wrote:                                                     (Thu, 06 Feb 2003 02:18:28)

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Thu, 6 Feb 2003 03:29:48 -0600 (CST)

Brian,

> Consider 1 active ASP and 200,000 inactive ASPs.
You are deviating from original thread.

ASP1 is active and ASP2 is inactive -overrid mode (via SG1)
.
.
.
ASP200,000 is active and ASP200,000 is inactive -overrid mode(via SG1)
 
Now we could see that 200,000 ASPs are active and 200,000 ASPs are
inactive via RE-STARTED SG1.But all active 200,000 ASPs database
is not same as inactive 200,000 ASPs.
 
According to you , SG1 will receive 200,000 DAUD msgs when inact ASPs
come up and again 200,000 DUNA are being sent from SG1.

According to me only 200,000 DUNAs are sent from SG1 if we allow SSNM
messages to be processing inact state.So that we can avoid sending 200,000
DAUD messages.

> good that the RFC does not permit this.
No comment

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 6 Feb 2003 02:38:48 -0700

Samuel,

I was my example.

1 ASP is active for AS1, 200,000 ASPs are inactive for AS1.

--brian

Samuel Dur D. Jeyaseelan wrote:                                                     (Thu, 06 Feb 2003 03:29:48)

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Thu, 6 Feb 2003 03:38:31 -0600 (CST)

Brian (last mail had some problem, i am re-sending),

 

 

 No comment

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Thu, 6 Feb 2003 03:49:41 -0600 (CST)

Brian,

Your example is correct only theoritically but logically it sounds
NONE.

 . .

 According to me only 200,000 DUNAs are sent from SG1 if we allow SSNM
 messages to be processed in  inact state.So that we can avoid sending
200,000  DAUD messages.

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 6 Feb 2003 02:55:12 -0700

Samuel,

ASP1 is active for AS1.

ASP2 is inactive for AS1.
ASP3 is inactive for AS1.
.
.
.
ASP200,001 is inactive for AS1.

Understand?

--brian.

Samuel Dur D. Jeyaseelan wrote:                                                     (Thu, 06 Feb 2003 03:49:41)

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Thu, 6 Feb 2003 04:05:52 -0600 (CST)

Brian,

I said you are giving all theoritical examples which is IMPOSSIBLE
practically.

Nobody will configure 1 ASP as active (20,000-1) ASP as inactive.
Your example is total deviation from this thread.

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 6 Feb 2003 03:18:37 -0700

Samuel,

200? 20?

Its still the same.  For an example of 100, your approach would have
the SG and ASP exchange 5150 packets were 150 will do.

--brian

Samuel Dur D. Jeyaseelan wrote:                                                     (Thu, 06 Feb 2003 04:05:52)

---

From: "Manjunath" <[email-masked]>
Date: Fri, 7 Feb 2003 16:52:46 +0530

hi all,

>    temporarily out-of-sync during configuration updates).

please give  comments for this question ,so  my doubts
regarding the configuration of SG's , limiting redundant SGP's for an AS
to be configured only on different SG's  can be cleared ....
  Somebody throw some light regarding this!!

thanks
manju/sibi

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 7 Feb 2003 04:51:12 -0700

Manjunath,

Manjunath wrote:                                                                 (Fri, 07 Feb 2003 16:52:46)
> > SG2 and not in SG1 itself ?

No.

--brian

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Fri, 7 Feb 2003 05:58:58 -0600 (CST)

Brian,

> > > SG2 and not in SG1 itself ?
Why?

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 7 Feb 2003 05:12:48 -0700

Samuel,

Samuel Dur D. Jeyaseelan wrote:                                                     (Fri, 07 Feb 2003 05:58:58)
> > > > SG2 and not in SG1 itself ?
SGP's don't have mates.

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Fri, 7 Feb 2003 06:20:32 -0600 (CST)

Brian,

> > > > > SG2 and not in SG1 itself ?

Please See section 1.4.1  

...
 
                              +--------+
                              |        |

   * Note:.  SG-to-SG communication (i.e., "C-links") is recommended for
   carrier grade networks, using an MTP3 linkset or an equivalent, to
   allow rerouting between the SGs in the event of route failures. Where
   SGPs are used, inter-SGP communication might be used.  Inter-SGP
   protocol is outside of the scope of this document.

Thanks,
Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 7 Feb 2003 05:24:52 -0700

Samuel,

Samuel Dur D. Jeyaseelan wrote:                                                     (Fri, 07 Feb 2003 06:20:32)
>    temporarily out-of-sync during configuration updates).

SGPs don't have mates.
^^^^

--brian

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Fri, 7 Feb 2003 06:42:04 -0600 (CST)

Brian,

> >    protocol is outside of the scope of this document.

"to allow rerouting between the SGs in the event of route failures, Where
SGPs are used, inter-SGP communication might be used."

Only in the event of failures, inter-SGP communication is used.

It means SGP1(SG1) and SGP1(SG2) are serving same RK.

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 7 Feb 2003 05:43:18 -0700

Samuel,

[snip]
> I think it should be corrected.

The statement in section 5.4.2.1 is correct.  M3UA exports
the MTP/MTP-User interface from the SG to the ASP.  As such,
MTP/MTP-User primitives are available to the NIF.

> This can avoid sending multiple DUNAs to ASP.

In the case that the SG's point code is different from the ASP,
the ASP's MTP is not restarting when the SG's PC is in MTP Restart.
Where the SG's PC is different from the ASP, there is never a
time that the need SG sends DUNA for its own point code to the ASP.
Anytime that the ASP is active, the SG's point code can be accessible
to it.

--brian

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 7 Feb 2003 05:44:43 -0700

Samuel,

Samuel Dur D. Jeyaseelan wrote:                                                     (Fri, 07 Feb 2003 06:42:04)
> It means SGP1(SG1) and SGP1(SG2) are serving same RK.

SGPs still don't have mates, so the answer to your question is: No.

--brian

---

From: "Samuel Dur D. Jeyaseelan" <[email-masked]>
Date: Fri, 7 Feb 2003 07:08:16 -0600 (CST)

Brian,

> SGPs still don't have mates, so the answer to your question is: No.

When SGP1(SG1) goes down, SGP1(SG2) takes up the load(using
inter-SGP communication).Thats all i want to say.

--Samuel

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 7 Feb 2003 06:35:04 -0700

Samuel,

Samuel Dur D. Jeyaseelan wrote:                                                     (Fri, 07 Feb 2003 07:08:16)
> inter-SGP communication).Thats all i want to say.

No.  C-links are used.

--brian